

drivers/acpi/hotkey.c: In function `create_polling_proc':
drivers/acpi/hotkey.c:334: warning: ISO C90 forbids mixed declarations and code


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/acpi/hotkey.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/acpi/hotkey.c~acpi-create_polling_proc-fix drivers/acpi/hotkey.c
--- 25/drivers/acpi/hotkey.c~acpi-create_polling_proc-fix	Wed Mar 30 13:16:09 2005
+++ 25-akpm/drivers/acpi/hotkey.c	Wed Mar 30 13:16:09 2005
@@ -329,9 +329,10 @@ static int auto_hotkey_remove(struct acp
 static int create_polling_proc(union acpi_hotkey *device)
 {
 	struct proc_dir_entry *proc;
+	mode_t mode;
 
 	ACPI_FUNCTION_TRACE("create_polling_proc");
-	mode_t mode = S_IFREG | S_IRUGO | S_IWUGO;
+	mode = S_IFREG | S_IRUGO | S_IWUGO;
 
 	proc = create_proc_entry(device->poll_hotkey.action_method,
 				 mode, hotkey_proc_dir);
_
